/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-制程-生产周期明细(计算各工序的周期)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.slmord.mapper.SlmOrdDesignMscPlPcLstMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_MSC_PL_PC_LST", namespace=SlmOrdDesignMscPlPcLstMapper.class)
public class SlmOrdDesignMscPlPcLst extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
	 */ 
	@Id
	private String ord_ln_dly_pk;
	public String  getOrd_ln_dly_pk() {
		return this.ord_ln_dly_pk;
	}
	public void setOrd_ln_dly_pk(String ord_ln_dly_pk) {
		this.ord_ln_dly_pk = ord_ln_dly_pk;
	}

	/** 
	 * 全程产线号(COM_MSC_BACKLOG)
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程工序顺序号
	 */ 
	@Id
	private Long backlog_seq;
	public Long  getBacklog_seq() {
		return this.backlog_seq;
	}
	public void setBacklog_seq(Long backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	/** 
	 * 工序代码
	 */ 
	@Id
	private String process_code;
	public String  getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	/** 
	 * 工序名称
	 */ 
	@Column
	private String process_desc;
	public String  getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/** 
	 * 评审要求
	 */ 
	@Column
	private String review_ask;
	public String  getReview_ask() {
		return this.review_ask;
	}
	public void setReview_ask(String review_ask) {
		this.review_ask = review_ask;
	}

	/** 
	 * 最迟生产
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lst_prd_date;
	public Date  getLst_prd_date() {
		return this.lst_prd_date;
	}
	public void setLst_prd_date(Date lst_prd_date) {
		this.lst_prd_date = lst_prd_date;
	}

	/** 
	 * 生产周期(以Day为单位)
	 */ 
	@Column
	private Long prd_cyc;
	public Long  getPrd_cyc() {
		return this.prd_cyc;
	}
	public void setPrd_cyc(Long prd_cyc) {
		this.prd_cyc = prd_cyc;
	}

	/** 
	 * 生产周期(批量)
	 */ 
	@Column
	private Long prd_cyc_btch;
	public Long  getPrd_cyc_btch() {
		return this.prd_cyc_btch;
	}
	public void setPrd_cyc_btch(Long prd_cyc_btch) {
		this.prd_cyc_btch = prd_cyc_btch;
	}

}
